Bug 120045 - CRASH: opening feature dialog with gtk 3.18
Summary: CRASH: opening feature dialog with gtk 3.18
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2018-09-22 00:43 UTC by Xisco Faulí
Modified: 2018-11-08 12:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-09-22 00:43:10 UTC
Steps to reproduce:
1. Open writer
2. Go to Format - Character
3. Click on feature
CRASH!

output in the console:
(soffice:23305): Gtk-ERROR **: failed to add UI: /home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/../share/config/soffice.cfg/cui/ui/fontfeaturesdialog.ui:90:59 Invalid property: GtkScrolledWindow.propagate_natural_width


Fatal exception: Signal 5
Stack:
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libuno_sal.so.3(+0x3a860)[0x7ff44625f860]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libuno_sal.so.3(+0x3a9d0)[0x7ff44625f9d0]
/lib/x86_64-linux-gnu/libc.so.6(+0x354b0)[0x7ff445bcb4b0]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_logv+0x2ab)[0x7ff4365e9a5b]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_log+0x8f)[0x7ff4365e9bcf]
/usr/lib/x86_64-linux-gnu/libgtk-3.so.0(gtk_builder_new_from_file+0x7a)[0x7ff42d42f1ba]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvclplug_gtk3lo.so(+0xad8ad)[0x7ff42dcf08ad]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(_ZN11Application13CreateBuilderEPN4weld6WidgetERKN3rtl8OUStringE+0x4c)[0x7ff43e2c9f4c]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(_ZN4weld23GenericDialogControllerC1EPNS_6WidgetERKN3rtl8OUStringERKNS3_7OStringE+0x36)[0x7ff43e5bd7a6]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libcuilo.so(+0x3aa66c)[0x7ff41a0f066c]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libcuilo.so(+0x52e561)[0x7ff41a274561]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(_ZN7Control32ImplCallEventListenersAndHandlerE10VclEventIdRKSt8functionIFvvEE+0x51)[0x7ff43e3aee01]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(_ZN6Button5ClickEv+0x5e)[0x7ff43e397afe]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(_ZN3vcl6Window11EndTrackingE18TrackingEventFlags+0x181)[0x7ff43e37a2d1]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(+0x376d9e)[0x7ff43e391d9e]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(+0x378217)[0x7ff43e393217]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvclplug_gtk3lo.so(+0xf2975)[0x7ff42dd35975]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvclplug_gtk3lo.so(+0xf3d1e)[0x7ff42dd36d1e]
/usr/lib/x86_64-linux-gnu/libgtk-3.so.0(+0x212fac)[0x7ff42d526fac]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_closure_invoke+0x145)[0x7ff4368b9fa5]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x21fc1)[0x7ff4368cbfc1]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0xa59)[0x7ff4368d47f9]
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x8f)[0x7ff4368d508f]
/usr/lib/x86_64-linux-gnu/libgtk-3.so.0(+0x350c3c)[0x7ff42d664c3c]
/usr/lib/x86_64-linux-gnu/libgtk-3.so.0(+0x2103be)[0x7ff42d5243be]
/usr/lib/x86_64-linux-gnu/libgtk-3.so.0(gtk_main_do_event+0x72c)[0x7ff42d5261bc]
/usr/lib/x86_64-linux-gnu/libgdk-3.so.0(+0x5ad92)[0x7ff42d093d92]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x2a7)[0x7ff4365e3197]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4a3f0)[0x7ff4365e33f0]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7ff4365e349c]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvclplug_gtk3lo.so(+0xa3bbb)[0x7ff42dce6bbb]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(_ZN11Application5YieldEv+0x2e)[0x7ff43e5daa0e]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(_ZN11Application7ExecuteEv+0x45)[0x7ff43e5dc275]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libsofficeapp.so(+0x2b79e)[0x7ff445f8b79e]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(+0x5c7166)[0x7ff43e5e2166]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(_Z6SVMainv+0x22)[0x7ff43e5e2252]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libsofficeapp.so(soffice_main+0x8a)[0x7ff445fb7e4a]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/soffice.bin[0x40066b]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf0)[0x7ff445bb6830]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/soffice.bin[0x40069f]
Comment 1 Xisco Faulí 2018-09-22 00:44:49 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=842c71a1fae1def3e8b694ae3b820b34ad26bce4

author	Caolán McNamara <caolanm@redhat.com>	2018-09-07 13:42:54 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-09-08 15:07:22 +0200
commit	842c71a1fae1def3e8b694ae3b820b34ad26bce4 (patch)
tree	8b00253118bb278c5dda9b2a97897e93e2f9e691
parent	97b6fd8e9ec4c655a5b73cbb4f64be06e7057242 (diff)
weld FontFeaturesDialog

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2018-09-22 15:53:11 UTC
glade typically warns about format version issues, but not in this case
Comment 3 Commit Notification 2018-09-22 19:12:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e17cdbca0738eeecbda7ed8f60f1e988c68d7bc

tdf#120045 propagate_natural_[width|height] illegal in gtk 3.18

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2018-09-22 19:31:23 UTC
let me know if that solves it
Comment 5 Xisco Faulí 2018-09-22 19:35:21 UTC
(In reply to Caolán McNamara from comment #4)
> let me know if that solves it

Yes,it does fix it !! Thanks for the quick fix!
Comment 6 Xisco Faulí 2018-09-25 09:17:13 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: daf44342ca82c5b0e79da88b7f9dbf28f6d43a8b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded